Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 13 Feb 2023 08:28:06 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Order 9409955381
It's been almost a month I haven't received the full refund yet. I can see that all the items have been received in the warehouse and marked as returned. So why was I partially refunded only? Where is the 39 dhs? It's been more than 3 weeks I have been calling and the agents keep telling that I'll receive in asap. Please refund the full amount ASAP as I have returned all the items. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5702799